Package: org.codehaus.groovy.transform.stc

## [Java] Class StaticTypeCheckingSupport.ObjectArrayStaticTypesHelper

- org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.ObjectArrayStaticTypesHelper

-     public static class StaticTypeCheckingSupport.ObjectArrayStaticTypesHelper
      extends Object

  A DGM-like class which adds support for method calls which are handled by the Groovy compiler.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public static T` | `getAt(T[] array, int index)`
    `<T, U extends T>` | `public static void` | `putAt(T[] array, int index, U value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### <T> public static T getAt(T[] array, int index)

    - #### <T, U extends T> public static void putAt(T[] array, int index, U value)